Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor
Interface ExecutorServiceEntryPoint

All Known Implementing Classes:
  ExecutorServiceEntryPointImpl

    public interface ExecutorServiceEntryPoint

Method Summary
`void` | `cancelRequest(Long requestId)`
`int` | `clearAllErrors()`
`int` | `clearAllRequests()`
`void` | `destroy()`
`List<ErrorInfo>` | `getAllErrors()`
`List<RequestInfo>` | `getAllRequests()`
`List<RequestInfo>` | `getCancelledRequests()`
`List<RequestInfo>` | `getCompletedRequests()`
`List<RequestInfo>` | `getFutureQueuedRequests()`
`List<RequestInfo>` | `getInErrorRequests()`
`int` | `getInterval()`
`List<RequestInfo>` | `getPendingRequestById(Long id)`
`List<RequestInfo>` | `getPendingRequests()`
`List<RequestInfo>` | `getQueuedRequests()`
`int` | `getRetries()`
`List<RequestInfo>` | `getRunningRequests()`
`int` | `getThreadPoolSize()`
`void` | `init()`
`Long` | `scheduleRequest(String commandName, CommandContext ctx)`
`Long` | `scheduleRequest(String commandId, Date date, CommandContext ctx)`
`void` | `setInterval(int waitTime)`
`void` | `setRetries(int defaultNroOfRetries)`
`void` | `setThreadPoolSize(int nroOfThreads)`

Method Detail

### getQueuedRequests

    List<RequestInfo> getQueuedRequests()

### getCompletedRequests

    List<RequestInfo> getCompletedRequests()

### getInErrorRequests

    List<RequestInfo> getInErrorRequests()

### getCancelledRequests

    List<RequestInfo> getCancelledRequests()

### getAllErrors

    List<ErrorInfo> getAllErrors()

### getAllRequests

    List<RequestInfo> getAllRequests()

### clearAllRequests

    int clearAllRequests()

### clearAllErrors

    int clearAllErrors()

### scheduleRequest

    Long scheduleRequest(String commandName,
                         CommandContext ctx)

### cancelRequest

    void cancelRequest(Long requestId)

### init

    void init()

### destroy

    void destroy()

### getInterval

    int getInterval()

### setInterval

    void setInterval(int waitTime)

### getRetries

    int getRetries()

### setRetries

    void setRetries(int defaultNroOfRetries)

### getThreadPoolSize

    int getThreadPoolSize()

### setThreadPoolSize

    void setThreadPoolSize(int nroOfThreads)

### getPendingRequests

    List<RequestInfo> getPendingRequests()

### getPendingRequestById

    List<RequestInfo> getPendingRequestById(Long id)

### scheduleRequest

    Long scheduleRequest(String commandId,
                         Date date,
                         CommandContext ctx)

### getRunningRequests

    List<RequestInfo> getRunningRequests()

### getFutureQueuedRequests

    List<RequestInfo> getFutureQueuedRequests()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.